      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQPMOL                                     **
      **                                                              **
      **  DESCRIPTION:    MQPMO Structure -- Put Message Options      **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2020"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2020 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQPMO,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  09/07/20 14:42                                **
      ** Build Level:   p920-L200709                                  **
      ** Build Type:    Production                                    **
      ** Pointer Size:  32 Bit                                        **
      ** Source File:                                                 **
      ** CMQPMOL                                                      **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQPMO structure
       10  MQPMO.
      ** Structure identifier
       15  MQPMO-STRUCID PIC X(4).
      ** Structure version number
       15  MQPMO-VERSION PIC S9(9) BINARY.
      ** Options that control the action of MQPUT and MQPUT1
       15  MQPMO-OPTIONS PIC S9(9) BINARY.
      ** Reserved
       15  MQPMO-TIMEOUT PIC S9(9) BINARY.
      ** Object handle of input queue
       15  MQPMO-CONTEXT PIC S9(9) BINARY.
      ** Number of messages sent successfully to local queues
       15  MQPMO-KNOWNDESTCOUNT PIC S9(9) BINARY.
      ** Number of messages sent successfully to remote queues
       15  MQPMO-UNKNOWNDESTCOUNT PIC S9(9) BINARY.
      ** Number of messages that could not be sent
       15  MQPMO-INVALIDDESTCOUNT PIC S9(9) BINARY.
      ** Resolved name of destination queue
       15  MQPMO-RESOLVEDQNAME PIC X(48).
      ** Resolved name of destination queue manager
       15  MQPMO-RESOLVEDQMGRNAME PIC X(48).
      ** Ver:1 **
      ** Number of put message records or response records present
       15  MQPMO-RECSPRESENT PIC S9(9) BINARY.
      ** Flags indicating which MQPMR fields are present
       15  MQPMO-PUTMSGRECFIELDS PIC S9(9) BINARY.
      ** Offset of first put message record from start of MQPMO
       15  MQPMO-PUTMSGRECOFFSET PIC S9(9) BINARY.
      ** Offset of first response record from start of MQPMO
       15  MQPMO-RESPONSERECOFFSET PIC S9(9) BINARY.
      ** Address of first put message record
       15  MQPMO-PUTMSGRECPTR POINTER.
      ** Address of first response record
       15  MQPMO-RESPONSERECPTR POINTER.
      ** Ver:2 **
      ** Original message handle
       15  MQPMO-ORIGINALMSGHANDLE PIC S9(18) BINARY.
      ** New message handle
       15  MQPMO-NEWMSGHANDLE PIC S9(18) BINARY.
      ** The action being performed
       15  MQPMO-ACTION PIC S9(9) BINARY.
      ** Publication level
       15  MQPMO-PUBLEVEL PIC S9(9) BINARY.
      ** Ver:3 **


      ******************************************************************
      **  End of CMQPMOL                                              **
      ******************************************************************
